diff -aruN --binary 13/administrator/components/com_media/views/media/view.html.php 14/administrator/components/com_media/views/media/view.html.php
--- 13/administrator/components/com_media/views/media/view.html.php	2009-07-23 04:19:02.000000000 +0200
+++ 14/administrator/components/com_media/views/media/view.html.php	2009-07-30 20:55:34.000000000 +0200
@@ -1,6 +1,6 @@
 <?php
 /**
-* @version		$Id: view.html.php 11236 2008-11-02 02:44:35Z ian $
+* @version		$Id: view.html.php 12544 2009-07-23 10:24:34Z erdsiger $
 * @package		Joomla
 * @subpackage	Media
 * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
@@ -88,6 +88,9 @@
 		$this->assign('require_ftp', $ftp);
 		$this->assign('folders_id', ' id="media-tree"');
 		$this->assign('folders', $this->get('folderTree'));
+		
+		$user =& JFactory::getUser();
+		$this->assignRef('user', $user);
 
 		// Set the toolbar
 		$this->_setToolBar();
diff -aruN --binary 13/administrator/includes/framework.php 14/administrator/includes/framework.php
--- 13/administrator/includes/framework.php	2009-07-23 04:19:09.000000000 +0200
+++ 14/administrator/includes/framework.php	2009-07-30 20:55:41.000000000 +0200
@@ -1,6 +1,6 @@
 <?php
 /**
-* @version		$Id: framework.php 12543 2009-07-23 01:47:21Z ian $
+* @version		$Id: framework.php 12584 2009-07-30 17:46:47Z ian $
 * @package		Joomla
 * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
diff -aruN --binary 13/CHANGELOG.php 14/CHANGELOG.php
--- 13/CHANGELOG.php	2009-07-23 04:19:09.000000000 +0200
+++ 14/CHANGELOG.php	2009-07-30 20:55:41.000000000 +0200
@@ -1,6 +1,6 @@
 <?php
 /**
-* @version		$Id: CHANGELOG.php 12543 2009-07-23 01:47:21Z ian $
+* @version		$Id: CHANGELOG.php 12584 2009-07-30 17:46:47Z ian $
 * @package		Joomla
 * @copyright	Copyright (C) 2005 - 2009 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
@@ -37,6 +37,11 @@
 - -> Removed
 ! -> Note
 
+-------------------- 1.5.14 Stable Release [30-July-2009] ------------------
+
+23-Jul-2009 Gergo Erdosi
+ # [#17319] Media Manager is broken
+ # [#17323] TinyMCE Editor $file_browser_callback error in 1.5.13
 
 -------------------- 1.5.13 Stable Release [22-July-2009] ------------------
 
diff -aruN --binary 13/components/com_mailto/controller.php 14/components/com_mailto/controller.php
--- 13/components/com_mailto/controller.php	2009-07-23 04:19:11.000000000 +0200
+++ 14/components/com_mailto/controller.php	2009-07-30 20:55:44.000000000 +0200
@@ -1,6 +1,6 @@
 <?php
 /**
- * @version		$Id: controller.php 11391 2009-01-04 13:35:50Z ian $
+ * @version		$Id: controller.php 12584 2009-07-30 17:46:47Z ian $
  * @package		Joomla
  * @subpackage	MailTo
  * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
@@ -17,6 +17,8 @@
 
 jimport('joomla.application.component.controller');
 
+define('MAILTO_TIMEOUT', 20);
+
 /**
  * @package		Joomla
  * @subpackage	MailTo
@@ -53,11 +55,14 @@
 		$session =& JFactory::getSession();
 		$db	=& JFactory::getDBO();
 
-		$timeout = $session->get('com_mailto.formtime', 0);
-		if($timeout == 0 || time() - $timeout < 20) {
+		// we return time() instead of 0 (as it previously was), so that the session variable has to be set in order to send the mail
+		$timeout = $session->get('com_mailto.formtime', time());
+		if($timeout == 0 || time() - $timeout < MAILTO_TIMEOUT) {
 			JError::raiseNotice( 500, JText:: _ ('EMAIL_NOT_SENT' ));
 			return $this->mailto();
 		}
+		// here we unset the counter right away so that you have to wait again, and you have to visit mailto() first
+		$session->set('com_mailto.formtime', null);
 
 		jimport( 'joomla.mail.helper' );
 
diff -aruN --binary 13/includes/framework.php 14/includes/framework.php
--- 13/includes/framework.php	2009-07-23 04:19:20.000000000 +0200
+++ 14/includes/framework.php	2009-07-30 20:55:55.000000000 +0200
@@ -1,6 +1,6 @@
 <?php
 /**
-* @version		$Id: framework.php 12543 2009-07-23 01:47:21Z ian $
+* @version		$Id: framework.php 12584 2009-07-30 17:46:47Z ian $
 * @package		Joomla
 * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
diff -aruN --binary 13/libraries/joomla/version.php 14/libraries/joomla/version.php
--- 13/libraries/joomla/version.php	2009-07-23 04:19:34.000000000 +0200
+++ 14/libraries/joomla/version.php	2009-07-30 20:56:10.000000000 +0200
@@ -1,6 +1,6 @@
 <?php
 /**
- * @version		$Id: version.php 12543 2009-07-23 01:47:21Z ian $
+ * @version		$Id: version.php 12584 2009-07-30 17:46:47Z ian $
  * @package	Joomla.Framework
  * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
@@ -26,15 +26,15 @@
 	/** @var string Development Status */
 	var $DEV_STATUS = 'Stable';
 	/** @var int Sub Release Level */
-	var $DEV_LEVEL 	= '13';
+	var $DEV_LEVEL 	= '14';
 	/** @var int build Number */
 	var $BUILD	= '';
 	/** @var string Codename */
-	var $CODENAME 	= 'Wojmamni Ama Baji';
+	var $CODENAME 	= 'Wojmamni Ama Naiki';
 	/** @var string Date */
-	var $RELDATE 	= '23-July-2009';
+	var $RELDATE 	= '30-July-2009';
 	/** @var string Time */
-	var $RELTIME 	= '04:00';
+	var $RELTIME 	= '23:00';
 	/** @var string Timezone */
 	var $RELTZ 	= 'GMT';
 	/** @var string Copyright Text */
diff -aruN --binary 13/plugins/editors/tinymce.php 14/plugins/editors/tinymce.php
--- 13/plugins/editors/tinymce.php	2009-07-23 04:20:02.000000000 +0200
+++ 14/plugins/editors/tinymce.php	2009-07-30 20:56:28.000000000 +0200
@@ -1,6 +1,6 @@
 <?php
 /**
- * @version		$Id: tinymce.php 12543 2009-07-23 01:47:21Z ian $
+ * @version		$Id: tinymce.php 12546 2009-07-23 11:03:33Z erdsiger $
  * @package		Joomla
  * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
@@ -492,8 +492,6 @@
 				plugins : \"$plugins\",
 				$skin
 				theme : \"$theme[$mode]\",
-				// Callbacks
-				$file_browser_callback
 				// Cleanup/Output
 				cleanup : $cleanup,
 				cleanup_on_startup : $cleanup_startup,
